libzypp: zyppng::ProvideRequest Class Reference

libzypp 17.36.6

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
zyppng::ProvideRequest Class Reference

`#include <zypp-media/ng/private/provideitem_p.h>`

## Public Member Functions
ProvideItem * | owner ()
uint | code () const
void | setCurrentQueue (ProvideQueueRef ref)
ProvideQueueRef | currentQueue ()
const ProvideMessage & | provideMessage () const
ProvideMessage & | provideMessage ()
const std::optional< zypp::Url > | activeUrl () const
void | setActiveUrl (const zypp::Url &urlToUse)
void | setUrls (const std::vector< zypp::Url > &urls)
const std::vector< zypp::Url > & | urls () const
zypp::Url | url () const
void | setUrl (const zypp::Url &url)
void | clearForRestart ()

## Static Public Member Functions
static expected< ProvideRequestRef > | create (ProvideItem &owner, const std::vector< zypp::Url > &urls, const std::string &id, ProvideMediaSpec &spec)
static expected< ProvideRequestRef > | create (ProvideItem &owner, const std::vector< zypp::Url > &urls, ProvideFileSpec &spec)
static expected< ProvideRequestRef > | createDetach (const zypp::Url &url)

## Private Member Functions
| ProvideRequest (ProvideItem *owner, const std::vector< zypp::Url > &urls, ProvideMessage &&msg)

## Private Attributes
ProvideItem * | _owner = nullptr
ProvideMessage | _message
std::vector< zypp::Url > | _mirrors
std::vector< zypp::Url > | _pastRedirects
std::optional< zypp::Url > | _activeUrl
ProvideQueueWeakRef | _myQueue

## Friends
class | ProvideItem

## Detailed Description

The internal request type, which represents all possible user requests and exports some convenience functions for the scheduler to directly access relevant data

Definition at line 36 of file provideitem_p.h.

## Constructor & Destructor Documentation

## ◆ ProvideRequest()

zyppng::ProvideRequest::ProvideRequest | ( | ProvideItem * | owner,
|  | const std::vector< zypp::Url > & | urls,
|  | ProvideMessage && | msg )
| inlineprivate

Definition at line 81 of file provideitem_p.h.

## Member Function Documentation

## ◆ create() [1/2]

expected< ProvideRequestRef > zyppng::ProvideRequest::create | ( | ProvideItem & | owner,
|  | const std::vector< zypp::Url > & | urls,
|  | const std::string & | id,
|  | ProvideMediaSpec & | spec )
| static

Definition at line 27 of file provideitem.cc.

## ◆ create() [2/2]

expected< ProvideRequestRef > zyppng::ProvideRequest::create | ( | ProvideItem & | owner,
|  | const std::vector< zypp::Url > & | urls,
|  | ProvideFileSpec & | spec )
| static

Definition at line 48 of file provideitem.cc.

## ◆ createDetach()

expected< ProvideRequestRef > zyppng::ProvideRequest::createDetach | ( | const zypp::Url & | url | ) |
| static

Definition at line 75 of file provideitem.cc.

## ◆ owner()

ProvideItem * zyppng::ProvideRequest::owner | ( |  | ) |
| inline

Definition at line 45 of file provideitem_p.h.

## ◆ code()

uint zyppng::ProvideRequest::code | ( |  | ) | const
| inline

Definition at line 47 of file provideitem_p.h.

## ◆ setCurrentQueue()

void zyppng::ProvideRequest::setCurrentQueue | ( | ProvideQueueRef | ref | ) |

Definition at line 500 of file provideitem.cc.

## ◆ currentQueue()

ProvideQueueRef zyppng::ProvideRequest::currentQueue | ( |  | ) |

Definition at line 505 of file provideitem.cc.

## ◆ provideMessage() [1/2]

const ProvideMessage & zyppng::ProvideRequest::provideMessage | ( |  | ) | const
| inline

Definition at line 52 of file provideitem_p.h.

## ◆ provideMessage() [2/2]

ProvideMessage & zyppng::ProvideRequest::provideMessage | ( |  | ) |
| inline

Definition at line 53 of file provideitem_p.h.

## ◆ activeUrl()

const std::optional< zypp::Url > zyppng::ProvideRequest::activeUrl | ( |  | ) | const

Definition at line 510 of file provideitem.cc.

## ◆ setActiveUrl()

void zyppng::ProvideRequest::setActiveUrl | ( | const zypp::Url & | urlToUse | ) |

Definition at line 541 of file provideitem.cc.

## ◆ setUrls()

void zyppng::ProvideRequest::setUrls | ( | const std::vector< zypp::Url > & | urls | ) |
| inline

Definition at line 58 of file provideitem_p.h.

## ◆ urls()

const std::vector< zypp::Url > & zyppng::ProvideRequest::urls | ( |  | ) | const
| inline

Definition at line 62 of file provideitem_p.h.

## ◆ url()

zypp::Url zyppng::ProvideRequest::url | ( |  | ) | const
| inline

Definition at line 66 of file provideitem_p.h.

## ◆ setUrl()

void zyppng::ProvideRequest::setUrl | ( | const zypp::Url & | url | ) |
| inline

Definition at line 70 of file provideitem_p.h.

## ◆ clearForRestart()

void zyppng::ProvideRequest::clearForRestart | ( |  | ) |
| inline

Definition at line 74 of file provideitem_p.h.

## Friends And Related Symbol Documentation

## ◆ ProvideItem

friend class ProvideItem
| friend

Definition at line 39 of file provideitem_p.h.

## Member Data Documentation

## ◆ _owner

ProvideItem* zyppng::ProvideRequest::_owner = nullptr
| private

Definition at line 82 of file provideitem_p.h.

## ◆ _message

ProvideMessage zyppng::ProvideRequest::_message
| private

Definition at line 83 of file provideitem_p.h.

## ◆ _mirrors

std::vector<zypp::Url> zyppng::ProvideRequest::_mirrors
| private

Definition at line 84 of file provideitem_p.h.

## ◆ _pastRedirects

std::vector<zypp::Url> zyppng::ProvideRequest::_pastRedirects
| private

Definition at line 85 of file provideitem_p.h.

## ◆ _activeUrl

std::optional<zypp::Url> zyppng::ProvideRequest::_activeUrl
| private

Definition at line 86 of file provideitem_p.h.

## ◆ _myQueue

ProvideQueueWeakRef zyppng::ProvideRequest::_myQueue
| private

Definition at line 87 of file provideitem_p.h.

The documentation for this class was generated from the following files:

- zypp-media/ng/private/provideitem_p.h
- zypp-media/ng/provideitem.cc